/*
 * $Id: TicTacToeConstants.java,v 1.1 1998/03/11 02:26:14 vmallet Exp $
 *
 *
 * $Log: TicTacToeConstants.java,v $
 * Revision 1.1  1998/03/11 02:26:14  vmallet
 * Initial revision
 *
 *
 */

package alt.tictac;

/**
 * TicTacToeConstants.java
 * 
 * @version $Revision: 1.1 $
 * @author   (vmallet@enst.fr)
 */
public interface TicTacToeConstants {
  public static final int RQ_SET_NEW_STATUS = 300;

  public static final int RQ_PLAY_TURN      = 800;

  /**
   * The squares in order of importance...
   */
  final static int moves[] = {4, 0, 2, 6, 8, 1, 3, 5, 7};
  
  /**
   * The winning positions.
   */
  static final int DONE = (1 << 9) - 1;
  static final int OK = 0;
  static final int WIN = 1;
  static final int LOSE = 2;
  static final int STALEMATE = 3;



}
