/*
 * $Id: TicServerPlayer.java,v 1.2 1998/04/06 10:01:57 vmallet Exp $
 *
 *
 * $Log: TicServerPlayer.java,v $
 * Revision 1.2  1998/04/06 10:01:57  vmallet
 * Removed the toString() method.
 *
 * Revision 1.1  1998/03/11 02:24:32  vmallet
 * Initial revision
 *
 *
 */

package alt.tictac;

import game.*;
import java.util.*; 

/**
 * Handling of the player, server side, for the TicTacToe game.
 * 
 * @version $Revision: 1.2 $
 * @author  Vincent Mallet (vmallet@enst.fr)
 */
public class TicServerPlayer extends Player {

  /**
   * Creates a new TicServerPlayer
   */
  public TicServerPlayer(String name, GameLinkFilter link) {
    super(name, link);
  }
  
  public void update(Observable ob, Object frame) {
    System.out.println("<TicServerPlayer> update()");
    super.update(ob, frame);
  }
}
